Diagnostic API Resource

Abstract class for REST webservices

POST /diagnostic/objects/disconnected/json

Get disconnected objects in current version.

Try it out!

Request Parameters
name type description default constraints
limit query   long
offset query   long
Response Body
media type data type description
application/json object (JSON) JSON Response with the list of disconnected objects.

POST /diagnostic/objects/disconnected/report

Get disconnected objects in current version Excel report

Try it out!

Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) JSON Response with the list of disconnected objects.

POST /diagnostic/objects/insecurityscheme/json

Get objects with specific security schema in current version.

Try it out!

Request Parameters
name type description default constraints
classIds query - list od classes identifiers in json    
limit query   long
offset query   long
ssid query   long
Response Body
media type data type description
application/json object (JSON) JSON Response with list of objects with multiple spots on the same layer and drawing.

POST /diagnostic/objects/insecurityscheme/report

Get objects with specific security schema in current version Excel report

Try it out!

Request Parameters
name type description default constraints
classIds query - list od classes identifiers in json    
limit query   long
offset query   long
ssid query   long
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON)

POST /diagnostic/objects/vectorentityowner/json

Get objects with drawings containing vector entity owner in current version.

Try it out!

Request Parameters
name type description default constraints
limit query - limit   long
offset query - offset   long
userId query - id of owner   required
Response Body
media type data type description
application/json object (JSON) JSON Response with the list of objects with drawings containing vector entity owner in current version

POST /diagnostic/objects/vectorentityowner/report

Get objects with drawings containing vector entity owner in current version in form of Excel report.

Try it out!

Request Parameters
name type description default constraints
userId query - id of owner   required
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) Excel file with the list of objects with drawings containing vector entity owner in current version

POST /diagnostic/objects/vectorowner/json

Get objects with drawings containing vector owner in current version.

Try it out!

Request Parameters
name type description default constraints
limit query - limit   long
offset query - offset   long
userId query - id of owner   required
Response Body
media type data type description
application/json object (JSON) JSON Response with the list of objects with drawings containing vector in current version

POST /diagnostic/objects/vectorowner/report

Get objects with drawings containing vector owner in current version in form of Excel report.

Try it out!

Request Parameters
name type description default constraints
userId query - id of owner   required
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) Excel file with the list of objects with drawings containing vector owner in current version

POST /diagnostic/objects/withmultipleparents/json

Get objects with multiple parents (more than parentsNum) in current version.

Try it out!

Request Parameters
name type description default constraints
classId query   long
limit query   long
offset query   long
parentClassId query   long
parentsNum query 1 long
Request Body
media type data type description
application/json string (JSON) - list od parent identifiers in json
Response Body
media type data type description
application/json object (JSON) JSON Response with list of objects with multiple spots on the same layer and drawing.

POST /diagnostic/objects/withmultipleparents/report

Get objects with multiple parents (more than parentsNum) in current version Excel report

Try it out!

Request Parameters
name type description default constraints
classId query   long
limit query   long
offset query   long
parentClassId query   long
parentsNum query 1 long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON)

POST /diagnostic/objects/withmultiplespots/json

Get objects in subtree with multiple spots (more than spotsNum) for input subtree on the same layer and drawing in current version.

Try it out!

Request Parameters
name type description default constraints
classId query   required
limit query   long
limitToSingleDrawing query true boolean
offset query   long
spotsNum query   required
Request Body
media type data type description
application/json string (JSON) - list od parent identifiers in json
Response Body
media type data type description
application/json object (JSON) JSON Response with list of objects with multiple spots on the same layer and drawing.

POST /diagnostic/objects/withmultiplespots/report

Get objects with multiple spots (more than spotsNum) on the same layer and drawing in current version Excel report

Try it out!

Request Parameters
name type description default constraints
classId query   required
limitToSingleDrawing query true boolean
spotsNum query   required
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON)

POST /diagnostic/objects/withoutspots/json

Get objects without spots in current subtree and in current version.

Try it out!

Request Parameters
name type description default constraints
classId query   required
limit query   long
offset query   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json object (JSON) JSON Response with list of objects without spots.

POST /diagnostic/objects/withoutspots/report

Get objects without spots in current version Excel report

Try it out!

Request Parameters
name type description default constraints
classId query   required
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON)